Bug 72593 - Upgrade exception with traceback
Upgrade exception with traceback
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-25 18:07 EDT by Thor Nolen
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thor Nolen 2002-08-25 18:07:07 EDT
Description of Problem:  Upon running an upgrade of a previous installation of
null (to add more packages) recieved the following:


How Reproducible:  Happened on first upgrade of null, have not reproduced.


Steps to Reproduce:
1. installed null
2. run upgrade procedure to install new package sets
3. exception error just as rpms are ready to install


Additional Information:
	
Traceback (most recent call last):
   File "/usr/sbin/anaconda", line 695, in ?
      intf.run(id, dispatch, configFileData)
   File "/usr/lib/anaconda/text.py", line
442, in run
      dispatch.gotoNext()
   File "/usr/lib/anaconda/dispatch.py",
line 150, in gotoNext
      self.moveStep()
   File "/usr/lib/anaconda/dispatch.py",
line 215, in moveStep
      rc = apply(func, self.bindArgs(args))
   File "/usr/lib/anaconda/packages.py",
line 804, in doInstall
      method.filesDone ()
   File "/usr/lib/anaconda/image.py", line
223, in filesDonw
      isys.umount ("/mnt/source")
   File "/usr/lib/anaconda/isys.py", line
181, in umount 
      rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')
Comment 1 Michael Fulbright 2002-08-26 16:07:38 EDT
Could you verify there is not more to the error log to append?
Comment 2 Thor Nolen 2002-08-28 14:07:41 EDT
There is no further error log information given.

This only happens if you select to upgrade existing packages but then do not
select any packages to upgrade.



Comment 3 Thor Nolen 2002-08-28 14:22:20 EDT
In recreating this I notice that the error is different for text and gui
installs.  First is a text error, below is the gui error:

Traceback (most recent call last):
   File "/usr/lib/anaconda/gui.py", line 778, in handleRenderCallback
      self.currentWindow.renderCAllback()
   File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
      self.intf.icw.nextClicked()
   File "/usr/lib/anaconda/gui.py", line 631, in nextClicked
      self.)dispatch.gotoNext()
   File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
      self.moveStep()
   File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
      rc = apply(func, self.bindArgs(args))
   File "/usr/lib/anaconda/packages.py", line 804, in doinstall
      method.filesDone()
   File "/usr/lib/anaconda/image.py", line 223, in filesDone
      isys.umount("/mnt/source")
   File "/usr/lib/anaconda/isys.py", line 181 in umount
      rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')
Comment 4 Michael Fulbright 2002-10-02 16:10:51 EDT
Please retry now the final 8.0 release is out, and verify all the CDs with
mediacheck before proceeding with the install.
Comment 5 Michael Fulbright 2002-10-24 14:21:48 EDT
Closing due to inactivity. Please reopen if you have any new information to add
to this report.
Comment 6 Red Hat Bugzilla 2006-02-21 13:49:30 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.